ApiOzoneBucketInfo (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiOzoneBucketInfo

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiOzoneBucketInfo

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiOzoneBucketInfo
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiOzoneBucketInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiOzoneBucketInfo` | `bucketEncrypted(Boolean bucketEncrypted)`
    `ApiOzoneBucketInfo` | `bucketInS3Volume(Boolean bucketInS3Volume)`
    `ApiOzoneBucketInfo` | `bucketLinked(Boolean bucketLinked)`
    `ApiOzoneBucketInfo` | `bucketName(String bucketName)`
    `ApiOzoneBucketInfo` | `bucketType(String bucketType)`
    `boolean` | `equals(Object o)`
    `Boolean` | `getBucketEncrypted()`
    `Boolean` | `getBucketInS3Volume()`
    `Boolean` | `getBucketLinked()`
    `String` | `getBucketName()`
    `String` | `getBucketType()`
    `String` | `getSourceBucketName()`
    `String` | `getSourceVolumeName()`
    `String` | `getVolumeName()`
    `int` | `hashCode()`
    `void` | `setBucketEncrypted(Boolean bucketEncrypted)`
    `void` | `setBucketInS3Volume(Boolean bucketInS3Volume)`
    `void` | `setBucketLinked(Boolean bucketLinked)`
    `void` | `setBucketName(String bucketName)`
    `void` | `setBucketType(String bucketType)`
    `void` | `setSourceBucketName(String sourceBucketName)`
    `void` | `setSourceVolumeName(String sourceVolumeName)`
    `void` | `setVolumeName(String volumeName)`
    `ApiOzoneBucketInfo` | `sourceBucketName(String sourceBucketName)`
    `ApiOzoneBucketInfo` | `sourceVolumeName(String sourceVolumeName)`
    `String` | `toString()`
    `ApiOzoneBucketInfo` | `volumeName(String volumeName)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiOzoneBucketInfo

          public ApiOzoneBucketInfo()

  - ### Method Detail

    - #### volumeName

          public ApiOzoneBucketInfo volumeName(String volumeName)

    - #### getVolumeName

          public String getVolumeName()

      Returns:
        volumeName

    - #### setVolumeName

          public void setVolumeName(String volumeName)

    - #### bucketName

          public ApiOzoneBucketInfo bucketName(String bucketName)

    - #### getBucketName

          public String getBucketName()

      Returns:
        bucketName

    - #### setBucketName

          public void setBucketName(String bucketName)

    - #### bucketType

          public ApiOzoneBucketInfo bucketType(String bucketType)

    - #### getBucketType

          public String getBucketType()

      Returns:
        bucketType

    - #### setBucketType

          public void setBucketType(String bucketType)

    - #### bucketEncrypted

          public ApiOzoneBucketInfo bucketEncrypted(Boolean bucketEncrypted)

    - #### getBucketEncrypted

          public Boolean getBucketEncrypted()

      Returns:
        bucketEncrypted

    - #### setBucketEncrypted

          public void setBucketEncrypted(Boolean bucketEncrypted)

    - #### bucketInS3Volume

          public ApiOzoneBucketInfo bucketInS3Volume(Boolean bucketInS3Volume)

    - #### getBucketInS3Volume

          public Boolean getBucketInS3Volume()

      Returns:
        bucketInS3Volume

    - #### setBucketInS3Volume

          public void setBucketInS3Volume(Boolean bucketInS3Volume)

    - #### bucketLinked

          public ApiOzoneBucketInfo bucketLinked(Boolean bucketLinked)

    - #### getBucketLinked

          public Boolean getBucketLinked()

      Returns:
        bucketLinked

    - #### setBucketLinked

          public void setBucketLinked(Boolean bucketLinked)

    - #### sourceVolumeName

          public ApiOzoneBucketInfo sourceVolumeName(String sourceVolumeName)

    - #### getSourceVolumeName

          public String getSourceVolumeName()

      Returns:
        sourceVolumeName

    - #### setSourceVolumeName

          public void setSourceVolumeName(String sourceVolumeName)

    - #### sourceBucketName

          public ApiOzoneBucketInfo sourceBucketName(String sourceBucketName)

    - #### getSourceBucketName

          public String getSourceBucketName()

      Returns:
        sourceBucketName

    - #### setSourceBucketName

          public void setSourceBucketName(String sourceBucketName)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.